Bug 1476755 - Red Hat Insights reports permissions problem on /var/log/cron
Summary: Red Hat Insights reports permissions problem on /var/log/cron
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-appliance
Version: 4.1.2
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.2.2
: ---
Assignee: Yuval Turgeman
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks: 1477841
TreeView+ depends on / blocked
 
Reported: 2017-07-31 11:24 UTC by Anthony Green
Modified: 2019-05-16 13:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1477841 (view as bug list)
Environment:
Last Closed: 2018-05-15 19:00:03 UTC
oVirt Team: Integration


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1525 None None None 2018-05-15 19:02:30 UTC

Description Anthony Green 2017-07-31 11:24:06 UTC
Description of problem:
Red Hat Insights is reporting the fact that users other than root can read /var/log/cron.  It suggests tightening these up to the default permissions for 
cron logs on RHEL, which are read/write by root only.  

Version-Release number of selected component (if applicable):

rhvm-appliance-4.1.20170511.0-1.el7.noarch


How reproducible:
Always

Steps to Reproduce:
1. ls -l /var/log/cron
2.
3.

Actual results:
[root@rhvm ~]# ls -l /var/log/cron
-rw-r--r--. 1 root root 8564 Jul 31 07:01 /var/log/cron


Expected results:
[root@ocp ~]# ls -l /var/log/cron
-rw-------. 1 root root 6870 Jul 31 07:01 /var/log/cron


Additional info:

Comment 3 Gonza 2018-01-29 10:25:14 UTC
Tried with:
rhvm-appliance-4.2-20171219.0

# ls -l /var/log/cron
-rw-r--r--. 1 root root 1618 Jan 29 05:22 /var/log/cron

Comment 4 Yuval Turgeman 2018-01-29 10:59:47 UTC
Nice catch, it was added to spin-kickstarts for rhvm-4.1 only

Comment 6 Jiri Belka 2018-03-07 15:22:47 UTC
ok, rhvm-appliance-4.2-20180202.0.x86_64.rhevm.ova

# ls -l /var/log/cron
-rw-------. 1 root root 188 Mar  7 10:20 /var/log/cron

Comment 11 errata-xmlrpc 2018-05-15 19:00:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1525

Comment 12 Franta Kust 2019-05-16 13:09:43 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.